VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "CWorkDlg"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
' ********************************************
' Copyright Karl E. Peterson, 1997
' All Rights Reserved.
' ********************************************
' Written for publication in January 1998,
' Visual Basic Programmer's Journal.
' May be freely used in your applications.
' Redistribution of source prohibited.
' ********************************************
Option Explicit

Private WithEvents m_Dlg As frmWorkDlg
Attribute m_Dlg.VB_VarHelpID = -1
Private m_Label1 As String
Private m_Label2 As String
Private m_Mode As BusyAnimations

Public Enum BusyAnimations
   Flashlight = 0
   MagnifyingGlass = 1
   Printing = 2
End Enum

Public Event Cancel()

' ***********************************************
'  Initialization and Termination
' ***********************************************
Private Sub Class_Initialize()
   Set m_Dlg = New frmWorkDlg
End Sub

Private Sub Class_Terminate()
   Unload m_Dlg
   Set m_Dlg = Nothing
End Sub

' ***********************************************
'  Public Properties -- General
' ***********************************************
Public Property Let Caption(ByVal NewVal As String)
   m_Dlg.Title = NewVal
End Property

Public Property Get Caption() As String
   Caption = m_Dlg.Title
End Property

Public Property Let Label1(ByVal NewVal As String)
   m_Dlg.Caption1 = NewVal
End Property

Public Property Get Label1() As String
   Label1 = m_Dlg.Caption1
End Property

Public Property Let Label2(ByVal NewVal As String)
   m_Dlg.Caption2 = NewVal
End Property

Public Property Get Label2() As String
   Label2 = m_Dlg.Caption2
End Property

Public Property Let Mode(ByVal NewVal As BusyAnimations)
   Select Case NewVal
      Case Flashlight
         m_Dlg.Mode = aviSearch
      Case MagnifyingGlass
         m_Dlg.Mode = aviFindComputer
      Case Printing
         m_Dlg.Mode = aviPrinting
   End Select
End Property

Public Property Get Mode() As BusyAnimations
   Select Case m_Dlg.Mode
      Case aviSearch
         Mode = Flashlight
      Case aviFindComputer
         Mode = MagnifyingGlass
      Case aviPrinting
         Mode = Printing
   End Select
End Property

Public Property Let Owner(ByVal NewVal As Long)
   m_Dlg.Owner = NewVal
End Property

Public Property Get Owner() As Long
   Owner = m_Dlg.Owner
End Property

Public Property Let Percent(ByVal NewVal As Long)
   m_Dlg.Percent = NewVal
End Property

Public Property Get Percent() As Long
   Percent = m_Dlg.Percent
End Property

Public Property Let ShowProgress(ByVal NewVal As Boolean)
   m_Dlg.ShowProgress = NewVal
End Property

Public Property Get ShowProgress() As Boolean
   ShowProgress = m_Dlg.ShowProgress
End Property

' ***********************************************
'  Public Methods
' ***********************************************
Public Sub About()
   Dim frm As frmAbout
   Set frm = New frmAbout
   Load frm
   frm.Show vbModal
End Sub

Public Sub Show()
   m_Dlg.Show
End Sub

Public Sub Hide()
   m_Dlg.Hide
End Sub

' ***********************************************
'  Dialog Events
' ***********************************************
Private Sub m_Dlg_Cancel()
   Me.Hide
   RaiseEvent Cancel
End Sub


