Attribute VB_Name = "MGlobal"
Option Explicit

Private Declare Function GetWindowRect Lib "user32" (ByVal hwnd As Long, lpRect As RECT) As Long
Private Declare Function MoveWindow Lib "user32" (ByVal hwnd As Long, ByVal x As Long, ByVal y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal bRepaint As Long) As Long

Private Type RECT
   Left As Long
   Top As Long
   Right As Long
   Bottom As Long
End Type

' resource IDs for AVIs
Public Const aviGlobe As Long = 100         ' 48w by 45h
Public Const aviFindComputer As Long = 101  ' 80w by 50h
Public Const aviSearch As Long = 102
Public Const aviFileCopy As Long = 103
Public Const aviDownload As Long = 104
Public Const aviPrinting As Long = 105      ' 32w by 30h

Public Function CenterOver(ByVal hWndOver As Long, hWndUnder As Long) As Boolean
   Dim rU As RECT
   Dim rO As RECT
   Dim w As Long, h As Long
   
   If GetWindowRect(hWndUnder, rU) Then
      Call GetWindowRect(hWndOver, rO)
      w = rO.Right - rO.Left
      h = rO.Bottom - rO.Top
      rO.Left = rU.Left + ((rU.Right - rU.Left) - w) \ 2
      rO.Top = rU.Top + ((rU.Bottom - rU.Top) - h) \ 2
      If rO.Top < 0 Then rO.Top = 0
      If rO.Left < 0 Then rO.Left = 0
      If rO.Top + h > (Screen.Height \ Screen.TwipsPerPixelY) Then
         rO.Top = (Screen.Height \ Screen.TwipsPerPixelY) - h
      End If
      If rO.Left + w > (Screen.Width \ Screen.TwipsPerPixelX) Then
         rO.Left = (Screen.Width \ Screen.TwipsPerPixelX) - w
      End If
      Call MoveWindow(hWndOver, rO.Left, rO.Top, w, h, False)
   End If
End Function
